What are the recommended devices for using the TalentLMS app

To use the TalentLMS app you need an Android or iOS device. If you have one, the recommended devices for installing and running the TalentLMS app without complications are:

iOS

All devices that run iOS 9 +. Those are:
  • All mobile devices from iPhone 4s +
  • All iPads from iPad 2 +
  • All iPad mini devices
  • All iPod touch devices of the 5th generation and higher
Android

All devices that run Android 5 +.

Note: The TalentLMS app can be installed but will not run properly on devices that run versions Android 4.2+.

Feedback and Knowledge Base